INTERFACE
SUBROUTINE SUOFNAME(KSTEP,KDIGITS,CDLABEL,CDOFNAME,CDINC)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN), OPTIONAL :: KDIGITS
CHARACTER(LEN=*) ,INTENT(IN) :: CDLABEL
CHARACTER(LEN=*) ,INTENT(OUT) :: CDOFNAME
CHARACTER(LEN=*) ,INTENT(OUT), OPTIONAL :: CDINC
END SUBROUTINE SUOFNAME
END INTERFACE
